/*
 * dnsdict6, (c) 2010 by van Hauser / THC ; most code from:
 *
 * ** dnsmap - DNS Network Mapper by pagvac
 * ** Copyright (C) 2010 gnucitizen.org
 * **
 * ** This program is free software; you can redistribute it and/or modify
 * ** it under the terms of the GNU General Public License as published by
 * ** the Free Software Foundation; either version 2 of the License, or
 * ** (at your option) any later version.
 * **
 * ** This program is distributed in the hope that it will be useful,
 * ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 * ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * ** GNU General Public License for more details.
 * **
 * ** You should have received a copy of the GNU General Public License
 * ** along with this program; if not, write to the Free Software
 * ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * */

#define MAXSUBSIZE 200

// buil-in list of subdomains
// mainly targeting English and Spanish keywords
char sub[][MAXSUBSIZE]= {
"a",
"aa",
"aaa",
"aaaa",
"ab",
"abc",
"about",
"ac",
"access",
"accounting",
"accounts",
"ad",
"admin",
"administrator",
"admins",
"ads",
"adserver",
"adsl",
"ae",
"af",
"affiliate",
"affiliates",
"afs3-bos",
"afs3-callback",
"afs3-errors",
"afs3-fileserver",
"afs3-kaserver",
"afs3-prserver",
"afs3-rmtsys",
"afs3-update",
"afs3-vlserver",
"afs3-volser",
"ag",
"agenda",
"agent",
"ah",
"ai",
"aix",
"aj",
"ajax",
"ak",
"akamai",
"al",
"alabama",
"alaska",
"alerts",
"alpha",
"am",
"amanda",
"amandaidx",
"an",
"antivirus",
"ao",
"ap",
"apache",
"apollo",
"app",
"apple",
"application",
"applications",
"apps",
"appserver",
"aq",
"ar",
"archivos",
"arcsight",
"as",
"as400",
"asia",
"asp",
"asterix",
"at",
"att",
"au",
"auction",
"aula",
"aulas",
"auth",
"auth-ns",
"auto",
"autodiscover",
"autorun",
"av",
"aw",
"ax",
"ay",
"ayuda",
"az",
"b",
"b2b",
"b2c",
"ba",
"back",
"backend",
"backup",
"backups",
"balance",
"balancer",
"banking",
"bart",
"bb",
"bbs",
"bc",
"bd",
"be",
"beta",
"bf",
"bg",
"bgp",
"bgpd",
"bh",
"bi",
"biblioteca",
"biff",
"billing",
"biz",
"bj",
"bk",
"bl",
"blackberry",
"blackboard",
"blog",
"blogs",
"blue",
"bm",
"bn",
"bnc",
"bo",
"bob",
"bootpc",
"bootps",
"bp",
"bpcd",
"bpdbm",
"bprd",
"bq",
"br",
"bs",
"bsd",
"bt",
"bu",
"bug",
"bugs",
"bugzilla",
"build",
"burn",
"bv",
"bw",
"bx",
"by",
"bz",
"c",
"ca",
"cache",
"cafe",
"calendar",
"call",
"canada",
"canna",
"careers",
"carro",
"cart",
"cas",
"catalog",
"catalogo",
"catalogue",
"cb",
"cc",
"cd",
"cdn",
"ce",
"cert",
"certificates",
"certify",
"certserv",
"certsrv",
"cf",
"cfengine",
"cfinger",
"cg",
"cgi",
"ch",
"channel",
"channels",
"chargen",
"chat",
"chats",
"chatserver",
"check",
"checkpoint",
"chi",
"chicago",
"chimera",
"chronos",
"//",
"time",
"server?",
"ci",
"cims",
"cisco",
"citrix",
"cj",
"ck",
"cl",
"class",
"classes",
"classifieds",
"classroom",
"clearcase",
"client",
"clientes",
"clients",
"club",
"clubs",
"cluster",
"clusters",
"cm",
"cmail",
"cmip-agent",
"cmip-man",
"cms",
"cn",
"co",
"codasrv",
"codasrv-se",
"coldfusion",
"colombus",
"columbus",
"com",
"commerce",
"commerceserver",
"communigate",
"community",
"compaq",
"compras",
"con",
"concentrator",
"conf",
"conference",
"conferencing",
"confidential",
"connect",
"console",
"consult",
"consultant",
"consultants",
"consulting",
"consumer",
"contact",
"content",
"contracts",
"controller",
"core",
"corp",
"corpmail",
"corporate",
"correoweb",
"counterstrike",
"courier",
"courses",
"cp",
"cpanel",
"cq",
"cr",
"crm",
"crs",
"cs",
"csg",
"csnet-ns",
"cso",
"css",
"ct",
"cu",
"cust",
"customer",
"customers",
"customs",
"cv",
"cvs",
"cvspserver",
"cw",
"cx",
"cy",
"cz",
"d",
"da",
"daap",
"dallas",
"data",
"database",
"databases",
"datametrics",
"datastore",
"david",
"daytime",
"db",
"db0",
"db01",
"db02",
"db03",
"db1",
"db2",
"db3",
"dbs",
"dc",
"//",
"domain",
"controller?",
"dd",
"de",
"dealers",
"dec",
"def",
"default",
"dell",
"delta",
"demo",
"demon",
"demonstration",
"demos",
"demostration",
"depot",
"des",
"descargas",
"design",
"designer",
"desktop",
"detroit",
"deutschland",
"dev",
"devel",
"develop",
"developer",
"developers",
"development",
"device",
"devserver",
"devsql",
"df",
"dg",
"dh",
"dhcp",
"di",
"dial",
"dialup",
"diana",
"dict",
"digital",
"dir",
"dircproxy",
"direct",
"directory",
"disc",
"discard",
"discovery",
"discuss",
"discussion",
"discussions",
"disk",
"distcc",
"distmp3",
"distributer",
"distributers",
"dj",
"dk",
"dl",
"dm",
"dmail",
"dmz",
"dn",
"dnews",
"dns",
"dns0",
"dns00",
"dns01",
"dns02",
"dns03",
"dns1",
"dns2",
"dns3",
"do",
"docs",
"domain",
"domain-controller",
"domaincontroller",
"domains",
"domino",
"dominoweb",
"doom",
"download",
"downloads",
"downtown",
"dp",
"dq",
"dr",
"dragon",
"drupal",
"ds",
"dsl",
"dt",
"du",
"dv",
"dw",
"dx",
"dy",
"dyn",
"dynamic",
"dynip",
"dz",
"e",
"e-com",
"e-commerce",
"ea",
"eaccess",
"eagle",
"earth",
"east",
"eb",
"ec",
"echo",
"ecom",
"ecommerce",
"ed",
"edi",
"edu",
"education",
"ee",
"ef",
"eg",
"eh",
"ei",
"ej",
"ejemplo",
"ejemplos",
"ek",
"eklogin",
"el",
"em",
"email",
"employees",
"en",
"enable",
"enbd-cstatd",
"enbd-sstatd",
"eng",
"engine",
"engineer",
"engineering",
"enrutador",
"enterprise",
"eo",
"ep",
"epsilon",
"eq",
"er",
"erp",
"es",
"esd",
"eservice",
"esm",
"espanol",
"esx",
"et",
"eta",
"eu",
"europa",
"europe",
"ev",
"eventos",
"events",
"ew",
"ex",
"example",
"examples",
"exchange",
"exec",
"extern",
"external",
"extranet",
"ey",
"ez",
"f",
"f5",
"fa",
"farm",
"faststats",
"fatserv",
"fax",
"fb",
"fc",
"fd",
"fe",
"feedback",
"feeds",
"ff",
"fg",
"fh",
"fi",
"fido",
"field",
"file",
"files",
"fileserv",
"fileserver",
"filestore",
"filter",
"finance",
"find",
"finger",
"firewall",
"fix",
"fixes",
"fj",
"fk",
"fl",
"flow",
"fm",
"fn",
"fo",
"font-service",
"foobar",
"foro",
"foros",
"forum",
"forums",
"foto",
"fotos",
"foundry",
"fox",
"foxtrot",
"fp",
"fq",
"fr",
"france",
"frank",
"fred",
"freebsd",
"freeware",
"front",
"frontdesk",
"frox",
"fs",
"fsp",
"ft",
"ftb",
"ftp",
"ftp-data",
"ftpd",
"ftps",
"ftps-data",
"ftpserver",
"fu",
"fv",
"fw",
"fw-1",
"fw0",
"fw00",
"fw01",
"fw02",
"fw03",
"fw1",
"fw2",
"fw3",
"fwsm",
"fx",
"fy",
"fz",
"g",
"ga",
"galeria",
"galleries",
"gallery",
"games",
"gamma",
"gandalf",
"gate",
"gatekeeper",
"gateway",
"gauss",
"gb",
"gc",
"gd",
"gdomap",
"gds_db",
"ge",
"gemini",
"general",
"ger",
"germany",
"gf",
"gg",
"ggz",
"gh",
"gi",
"gilford",
"git",
"gj",
"gk",
"gl",
"glendale",
"gm",
"gmail",
"gn",
"gnutella-rtr",
"gnutella-svc",
"go",
"gold",
"golf",
"gopher",
"gp",
"gpsd",
"gq",
"gr",
"green",
"group",
"groups",
"groupwise",
"gs",
"gsx",
"gt",
"gu",
"guest",
"guia",
"guide",
"gv",
"gw",
"gx",
"gy",
"gz",
"h",
"ha",
"hal",
"halflife",
"hawaii",
"hb",
"hc",
"hd",
"he",
"hello",
"help",
"helpdesk",
"helponline",
"henry",
"hera",
"heracles",
"hercules",
"hermes",
"hf",
"hg",
"hh",
"hi",
"hidden",
"hj",
"hk",
"hkp",
"hl",
"hm",
"hmmp-ind",
"hn",
"ho",
"hobbes",
"hollywood",
"home",
"homebase",
"homer",
"honeypot",
"honolulu",
"host",
"hostmon",
"hostnames",
"hotel",
"hotjobs",
"hotspot",
"houstin",
"houston",
"howto",
"hp",
"hpov",
"hq",
"hr",
"hs",
"ht",
"http",
"https",
"hu",
"hub",
"humanresources",
"hv",
"hw",
"hx",
"hy",
"hylafax",
"hypernova",
"hz",
"i",
"ia",
"ias",
"iax",
"ib",
"ibm",
"ibmdb",
"ic",
"icpv2",
"id",
"ida",
"idaho",
"ids",
"ie",
"if",
"ig",
"ih",
"ii",
"iis",
"ij",
"ik",
"il",
"illinois",
"im",
"images",
"imail",
"imap",
"imap3d",
"imap4",
"imapd",
"imaps",
"img",
"imgs",
"imogen",
"imsp",
"in",
"inbound",
"inc",
"include",
"incoming",
"india",
"indiana",
"indianapolis",
"info",
"informix",
"ingreslock",
"inmuebles",
"inside",
"install",
"int",
"intern",
"internal",
"international",
"internet",
"interno",
"intl",
"intranet",
"invalid",
"investor",
"investors",
"io",
"iota",
"iowa",
"ip",
"ip6",
"ipad",
"iphone",
"iplanet",
"ipmonitor",
"ipod",
"ipp",
"iprop",
"ipsec",
"ipsec-gw",
"ipv6",
"ipx",
"iq",
"ir",
"irc",
"ircd",
"ircs",
"ircserver",
"ireland",
"iris",
"irvine",
"irving",
"is",
"isa",
"//ISA",
"proxy?",
"isakmp",
"isaserv",
"isaserver",
"isdnlog",
"isisd",
"ism",
"iso-tsap",
"israel",
"isync",
"it",
"italy",
"iu",
"iv",
"iw",
"ix",
"iy",
"iz",
"j",
"ja",
"jabber",
"japan",
"java",
"jb",
"jc",
"jd",
"je",
"jedi",
"jf",
"jg",
"jh",
"ji",
"jj",
"jk",
"jl",
"jm",
"jn",
"jo",
"jobs",
"john",
"jp",
"jq",
"jr",
"jrun",
"js",
"jt",
"ju",
"juegos",
"juliet",
"juliette",
"juniper",
"jupiter",
"jv",
"jw",
"jx",
"jy",
"jz",
"k",
"ka",
"kamanda",
"kansas",
"kansascity",
"kappa",
"kazaa",
"kb",
"kc",
"kd",
"ke",
"kentucky",
"kerberos",
"kerberos-adm",
"kerberos4",
"kerberos_master",
"kermit",
"keynote",
"kf",
"kg",
"kh",
"ki",
"kilo",
"king",
"kj",
"kk",
"kl",
"klogin",
"km",
"kn",
"knetd",
"knowledgebase",
"knoxville",
"ko",
"koe",
"korea",
"kp",
"kpasswd",
"kpop",
"kq",
"kr",
"krb_prop",
"krbupdate",
"ks",
"kshell",
"kt",
"ku",
"kv",
"kw",
"kx",
"ky",
"kz",
"l",
"l2f",
"la",
"lab",
"laboratories",
"laboratorio",
"laboratory",
"labs",
"lambda",
"lan",
"laptop",
"laserjet",
"lasvegas",
"launch",
"lb",
"lc",
"ld",
"ldap",
"ldaps",
"le",
"legal",
"leo",
"lf",
"lg",
"lh",
"li",
"lib",
"library",
"lima",
"lincoln",
"link",
"linux",
"linuxconf",
"lisa",
"lists",
"listserv",
"listserver",
"live",
"lj",
"lk",
"ll",
"lm",
"ln",
"lo",
"load",
"loadbalancer",
"loc-srv",
"local",
"localhost",
"locsrv",
"log",
"log-server",
"logfile",
"logfiles",
"logger",
"logging",
"loghost",
"login",
"logon",
"logs",
"london",
"lotus",
"lotusnote",
"lp",
"lq",
"lr",
"ls",
"lt",
"lu",
"luke",
"lv",
"lw",
"lx",
"ly",
"lyris",
"lz",
"m",
"ma",
"mac",
"macintosh",
"macos",
"macosx",
"madrid",
"mail",
"mailer",
"mailgate",
"mailhost",
"mailing",
"maillist",
"maillists",
"mailq",
"mailroom",
"mailserv",
"mailsite",
"mailsrv",
"mailtest",
"main",
"maine",
"maint",
"mall",
"manage",
"management",
"manager",
"mandelspawn",
"manufacturing",
"map",
"mapas",
"maps",
"marketing",
"marketplace",
"mars",
"marvin",
"mary",
"master",
"max",
"mb",
"mc",
"mci",
"md",
"mdaemon",
"mdns",
"me",
"media",
"member",
"members",
"mercury",
"//",
"MX",
"server?",
"merlin",
"messages",
"messenger",
"meta",
"mf",
"mg",
"mgmt",
"mh",
"mi",
"microsoft-ds",
"miembros",
"mike",
"minerva",
"mirror",
"mis",
"mj",
"mk",
"ml",
"mm",
"mmcc",
"mn",
"mngt",
"mo",
"mob",
"mobile",
"mobilemail",
"moira_db",
"moira_update",
"moira_ureg",
"mom",
"mon",
"monitor",
"monitoring",
"montana",
"moodle",
"moon",
"moscow",
"movies",
"movil",
"mozart",
"mp",
"mp3",
"mpeg",
"mpg",
"mq",
"mr",
"mrtd",
"mrtg",
"ms",
"ms-exchange",
"ms-sql",
"msexchange",
"msnp",
"msp",
"mssql",
"mt",
"mta",
"mtp",
"mtu",
"mu",
"multimedia",
"munin",
"music",
"mv",
"mw",
"mx",
"mx0",
"mx01",
"mx02",
"mx03",
"mx1",
"mx2",
"mx3",
"my",
"mysql",
"mz",
"n",
"na",
"name",
"names",
"nameserv",
"nameserver",
"nas",
"nat",
"nb",
"nbp",
"nc",
"nd",
"nds",
"ndtp",
"ne",
"nelson",
"neon",
"neptune",
"nessus",
"net",
"netapp",
"netbios",
"netdata",
"netgear",
"netmail",
"netmeeting",
"netnews",
"netscaler",
"netscreen",
"netstat",
"netstats",
"netwall",
"network",
"nevada",
"new",
"news",
"newsfeed",
"newsfeeds",
"newsgroups",
"newton",
"newyork",
"nextstep",
"nf",
"nfs",
"ng",
"nh",
"ni",
"ninstall",
"nj",
"nk",
"nl",
"nm",
"nms",
"nn",
"nntp",
"nntps",
"no",
"noclog",
"node",
"nokia",
"nora",
"north",
"novell",
"november",
"np",
"nq",
"nqs",
"nr",
"ns",
"ns0",
"ns00",
"ns01",
"ns02",
"ns03",
"ns1",
"ns2",
"ns3",
"nsca",
"nt",
"nt4",
"ntalk",
"ntmail",
"ntp",
"ntserver",
"nu",
"null",
"nut",
"nv",
"nw",
"nx",
"ny",
"nz",
"o",
"oa",
"ob",
"oc",
"ocean",
"ocsp",
"od",
"odin",
"oe",
"of",
"office",
"offices",
"og",
"oh",
"ohio",
"oi",
"oj",
"ok",
"ol",
"old",
"om",
"omaha",
"omega",
"omicron",
"omirr",
"omniorb",
"on",
"online",
"oo",
"op",
"open",
"openbsd",
"openview",
"openvpn",
"operations",
"ops",
"opsware",
"oq",
"or",
"ora",
"oracle",
"orange",
"order",
"orders",
"oregon",
"orion",
"orlando",
"os",
"oscar",
"ospf6d",
"ospfapi",
"ospfd",
"osx",
"ot",
"ou",
"out",
"outbound",
"outgoing",
"outlook",
"outside",
"ov",
"ow",
"owa",
"ows",
"ox",
"oxnard",
"oy",
"oz",
"p",
"pa",
"page",
"pager",
"pages",
"paginas",
"papa",
"paris",
"parners",
"partner",
"partners",
"patch",
"patches",
"paul",
"pawserv",
"payroll",
"pb",
"pbx",
"pc",
"pcanywhere",
"pcmail",
"pcrd",
"pd",
"pda",
"pdc",
"pe",
"pegasus",
"pendrell",
"peoplesoft",
"personal",
"pf",
"pg",
"pgp",
"ph",
"phi",
"philadelphia",
"phoenix",
"phone",
"phones",
"photo",
"photos",
"pi",
"pics",
"pictures",
"pink",
"pix",
"pj",
"pk",
"pki",
"pl",
"platinum",
"pluto",
"pm",
"pm1",
"pn",
"po",
"policy",
"polls",
"pop",
"pop2",
"pop3",
"pop3s",
"portal",
"portals",
"portfolio",
"post",
"posta",
"postaweb",
"postgresql",
"postman",
"postmaster",
"postoffice",
"pp",
"//",
"preprod?",
"ppp",
"ppp001",
"ppp002",
"ppp003",
"ppp01",
"ppp02",
"ppp03",
"ppp1",
"ppp2",
"ppp3",
"pptp",
"pq",
"pr",
"pre-prod",
"predict",
"preprod",
"press",
"print",
"printer",
"printserv",
"printserver",
"priv",
"privacy",
"private",
"problemtracker",
"prod",
"products",
"profiles",
"project",
"projects",
"promo",
"proxy",
"prueba",
"pruebas",
"ps",
"psi",
"pss",
"pt",
"pu",
"pub",
"public",
"pubs",
"purple",
"pv",
"pw",
"pwdgen",
"px",
"py",
"pz",
"q",
"qa",
"qb",
"qc",
"qd",
"qe",
"qf",
"qg",
"qh",
"qi",
"qj",
"qk",
"ql",
"qm",
"qmail",
"qmtp",
"qn",
"qo",
"qotd",
"qp",
"qq",
"qr",
"qs",
"qt",
"qu",
"quake",
"queen",
"quotes",
"qv",
"qw",
"qx",
"qy",
"qz",
"r",
"ra",
"radio",
"radius",
"rapidsite",
"raptor",
"ras",
"rb",
"rc",
"rcs",
"rd",
"re",
"read",
"realserver",
"recruiting",
"red",
"redhat",
"ref",
"reference",
"reg",
"register",
"registro",
"registry",
"regs",
"relay",
"rem",
"remote",
"remotefs",
"remstats",
"reports",
"research",
"reseller",
"reserved",
"restricted",
"resumenes",
"rf",
"rfe",
"rg",
"rh",
"rho",
"rhodeisland",
"ri",
"ripd",
"ripngd",
"ris",
"rj",
"rje",
"rk",
"rl",
"rlp",
"rm",
"rmi",
"rn",
"ro",
"robert",
"robinhood",
"romeo",
"root",
"rootd",
"rose",
"route",
"router",
"rp",
"rplay",
"rptp",
"rq",
"rr",
"rs",
"rss",
"rsync",
"rt",
"rtelnet",
"rtmp",
"rtr",
"rtsp",
"ru",
"rune",
"rv",
"rw",
"rwhois",
"rx",
"ry",
"rz",
"s",
"sa",
"sac",
"sadmin",
"safe",
"saft",
"sales",
"sam",
"sample",
"samples",
"san",
"sandbox",
"sane",
"sap",
"sapgw",
"saturn",
"sb",
"sbs",
"sc",
"scanner",
"schedules",
"scotty",
"sd",
"se",
"search",
"seattle",
"sec",
"secret",
"secure",
"secured",
"securid",
"security",
"seguro",
"sendmail",
"seri",
"serv",
"server",
"servers",
"service",
"services",
"servicio",
"servicios",
"servidor",
"setup",
"sf",
"sftp",
"sg",
"sh",
"shared",
"sharepoint",
"shell",
"shipping",
"shop",
"shoppers",
"shopping",
"si",
"siebel",
"sieve",
"sigma",
"signin",
"signup",
"silc",
"silver",
"sim",
"sip",
"sip-tls",
"sirius",
"site",
"sj",
"sk",
"skkserv",
"skywalker",
"sl",
"slackware",
"slmail",
"sm",
"smc",
"sms",
"smsqp",
"smtp",
"smtphost",
"smux",
"sn",
"sniffer",
"snmp",
"snmp-trap",
"snmpd",
"snoopy",
"snort",
"snpp",
"so",
"soap",
"socal",
"socios",
"socks",
"sol",
"solaris",
"solutions",
"soporte",
"source",
"sourcecode",
"sourcesafe",
"south",
"sp",
"//",
"sharepoint?",
"spain",
"spam",
"spamd",
"spider",
"spiderman",
"splunk",
"spock",
"spokane",
"springfield",
"sprint",
"sq",
"sqa",
"sql",
"sqlserver",
"squid",
"squirrel",
"squirrelmail",
"sr",
"ss",
"ssh",
"ssl",
"ssmtp",
"st",
"staff",
"stage",
"staging",
"start",
"stat",
"static",
"statistics",
"stats",
"stock",
"storage",
"store",
"storefront",
"streaming",
"stronghold",
"strongmail",
"studio",
"su",
"submission",
"submit",
"subversion",
"suche",
"sun",
"sunrpc",
"supdup",
"superman",
"supfiledbg",
"supfilesrv",
"supplier",
"suppliers",
"support",
"suucp",
"sv",
"svn",
"sw",
"swat",
"sweden",
"switch",
"switzerland",
"sx",
"sy",
"sybase",
"sydney",
"sysadmin",
"sysback",
"syslog",
"syslogs",
"sysrqd",
"systat",
"system",
"sz",
"t",
"ta",
"tacacs",
"tacacs-ds",
"tacoma",
"taiwan",
"talk",
"tampa",
"tango",
"tau",
"tb",
"tc",
"tcl",
"tcpmux",
"td",
"te",
"team",
"tech",
"technology",
"techsupport",
"telephone",
"telephony",
"telnet",
"telnets",
"temp",
"tempo",
"tennessee",
"terminal",
"terminalserver",
"termserv",
"test",
"test2k",
"testajax",
"testasp",
"testaspnet",
"testbed",
"testcf",
"testing",
"testjsp",
"testlab",
"testlinux",
"testphp",
"testserver",
"testsite",
"testsql",
"testxp",
"texas",
"tf",
"tfido",
"tftp",
"tg",
"th",
"thailand",
"theta",
"thor",
"ti",
"tienda",
"tiger",
"timed",
"tinc",
"titan",
"tivoli",
"tj",
"tk",
"tl",
"tm",
"tn",
"to",
"tokyo",
"toledo",
"tom",
"tool",
"tools",
"toplayer",
"tour",
"tp",
"tproxy",
"tq",
"tr",
"tracker",
"train",
"training",
"transfers",
"trinity",
"ts",
"tt",
"tu",
"tunnel",
"tv",
"tw",
"tx",
"ty",
"tz",
"u",
"ua",
"uat",
"ub",
"uc",
"ud",
"uddi",
"ue",
"uf",
"ug",
"uh",
"ui",
"uj",
"uk",
"ul",
"ulistserv",
"um",
"un",
"uniform",
"union",
"unix",
"unixware",
"uo",
"up",
"update",
"updates",
"upload",
"uploads",
"ups",
"upsilon",
"uq",
"ur",
"urchin",
"us",
"usa",
"usenet",
"user",
"users",
"ut",
"utah",
"utilities",
"uu",
"uucp",
"uucp-path",
"uv",
"uw",
"ux",
"uy",
"uz",
"v",
"va",
"vader",
"vantive",
"vault",
"vb",
"vboxd",
"vc",
"vd",
"ve",
"vega",
"vegas",
"vend",
"vendors",
"ventas",
"venus",
"vermont",
"vf",
"vg",
"vh",
"vi",
"victor",
"video",
"videos",
"viking",
"violet",
"vip",
"virtual",
"vista",
"vj",
"vk",
"vl",
"vm",
"vmserver",
"vmware",
"vn",
"vnc",
"vnetd",
"vo",
"voice",
"voicemail",
"voip",
"vopied",
"voyager",
"vp",
"vpn",
"vq",
"vr",
"vs",
"vt",
"vu",
"vv",
"vw",
"vx",
"vy",
"vz",
"w",
"wa",
"wais",
"wallet",
"wam",
"wan",
"wap",
"warehouse",
"washington",
"wb",
"wc",
"wd",
"we",
"web",
"web0",
"web01",
"web02",
"web03",
"web1",
"web2",
"web3",
"webaccess",
"webadmin",
"webalizer",
"webboard",
"webcache",
"webcam",
"webcast",
"webct",
"webdev",
"webdocs",
"webfarm",
"webhelp",
"weblib",
"weblog",
"weblogic",
"webmail",
"webmaster",
"webmin",
"webproxy",
"webring",
"webs",
"webserv",
"webserver",
"webservice",
"webservices",
"website",
"websites",
"websphere",
"websrv",
"websrvr",
"webstats",
"webster",
"webstore",
"websvr",
"webtrends",
"welcome",
"west",
"wf",
"wg",
"wh",
"whiskey",
"white",
"who",
"whois",
"wi",
"wiki",
"wililiam",
"win",
"win2000",
"win2003",
"win2008",
"win2k",
"win2k3",
"win2k8",
"windows",
"windows2000",
"windows2003",
"windows2008",
"windows7",
"windowsvista",
"windowsxp",
"wingate",
"winnt",
"winproxy",
"wins",
"winserve",
"winxp",
"wire",
"wireless",
"wj",
"wk",
"wl",
"wlan",
"wm",
"wn",
"wo",
"wordpress",
"work",
"world",
"wp",
"wpad",
"wq",
"wr",
"ws",
"wt",
"wu",
"wusage",
"wv",
"ww",
"ww0",
"ww00",
"ww01",
"ww02",
"ww03",
"ww1",
"ww2",
"ww3",
"www",
"www-0",
"www-00",
"www-01",
"www-02",
"www-03",
"www-1",
"www-2",
"www-3",
"www-int",
"www0",
"www00",
"www01",
"www02",
"www03",
"www1",
"www2",
"www3",
"wwwchat",
"wwwdev",
"wwwmail",
"wx",
"wy",
"wyoming",
"wz",
"x",
"x-ray",
"x11",
"xa",
"xanthus",
"xb",
"xc",
"xd",
"xdmcp",
"xe",
"xf",
"xg",
"xh",
"xi",
"xj",
"xk",
"xl",
"xlogan",
"xm",
"xmail",
"xml",
"xmpp-client",
"xmpp-server",
"xn",
"xo",
"xp",
"xpilot",
"xq",
"xr",
"xs",
"xt",
"xtel",
"xtell",
"xu",
"xv",
"xw",
"xx",
"xy",
"xz",
"y",
"ya",
"yankee",
"yb",
"yc",
"yd",
"ye",
"yellow",
"yf",
"yg",
"yh",
"yi",
"yj",
"yk",
"yl",
"ym",
"yn",
"yo",
"young",
"yp",
"yq",
"yr",
"ys",
"yt",
"yu",
"yv",
"yw",
"yx",
"yy",
"yz",
"z",
"z-log",
"z3950",
"za",
"zb",
"zc",
"zd",
"ze",
"zebra",
"zebrasrv",
"zera",
"zeus",
"zf",
"zg",
"zh",
"zi",
"zip",
"zj",
"zk",
"zl",
"zlog",
"zm",
"zn",
"zo",
"zope",
"zp",
"zq",
"zr",
"zs",
"zserv",
"zt",
"zu",
"zulu",
"zv",
"zw",
"zx",
"zy",
"zz",
""
};
